package com.beanpodtech.allinone.bean;

import java.util.List;

public class GetPlanBean extends BaseRequestBean {

    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * teacherName : 于宝山
         * className : 2020【终极预测】
         * videoDuration : 01:40:30
         * videoName : 【语文】终极预测2
         * videoId : 20c9b05efaeb4df9bcc019af5a170169
         * picturePath : http://qingqu.ihongwen.com/Uploads/teacher/20200529/5ed1113ba0166.jpg
         * courseId : 16
         * planId : 42
         */

        private String teacherName;
        private String className;
        private String videoDuration;
        private String videoName;
        private String videoId;
        private String picturePath;
        private String courseId;
        private String planId;
        private boolean isSelect;

        public boolean isSelect() {
            return isSelect;
        }

        public void setSelect(boolean select) {
            isSelect = select;
        }

        public String getTeacherName() {
            return teacherName;
        }

        public void setTeacherName(String teacherName) {
            this.teacherName = teacherName;
        }

        public String getClassName() {
            return className;
        }

        public void setClassName(String className) {
            this.className = className;
        }

        public String getVideoDuration() {
            return videoDuration;
        }

        public void setVideoDuration(String videoDuration) {
            this.videoDuration = videoDuration;
        }

        public String getVideoName() {
            return videoName;
        }

        public void setVideoName(String videoName) {
            this.videoName = videoName;
        }

        public String getVideoId() {
            return videoId;
        }

        public void setVideoId(String videoId) {
            this.videoId = videoId;
        }

        public String getPicturePath() {
            return picturePath;
        }

        public void setPicturePath(String picturePath) {
            this.picturePath = picturePath;
        }

        public String getCourseId() {
            return courseId;
        }

        public void setCourseId(String courseId) {
            this.courseId = courseId;
        }

        public String getPlanId() {
            return planId;
        }

        public void setPlanId(String planId) {
            this.planId = planId;
        }
    }
}
